org.eclipse.gef.mvc.fx.providers

## Interface ISnappingLocationProvider

All Known Implementing Classes:
  BoundsSnappingLocationProvider, CenterSnappingLocationProvider, ConnectionSnappingLocationProvider, TopLeftSnappingLocationProvider

    public interface ISnappingLocationProvider

The `ISnappingLocationProvider` is used to determine `SnappingModel.SnappingLocation`s for an `IContentPart`.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`List<SnappingModel.SnappingLocation>` `getHorizontalSnappingLocations(IContentPart<? extends Node> part)` Returns the horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.
`List<SnappingModel.SnappingLocation>` `getVerticalSnappingLocations(IContentPart<? extends Node> part)` Returns the vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.
`static ISnappingLocationProvider` `union(List<ISnappingLocationProvider> providers)` Combines the given `ISnappingLocationProvider`s by wrapping them in a new `ISnappingLocationProvider` that returns a combination of all `SnappingModel.SnappingLocation`s that are returned by the individual providers.

### Method Detail

#### union

    static ISnappingLocationProvider union(List<ISnappingLocationProvider> providers)

Combines the given `ISnappingLocationProvider`s by wrapping them in a new `ISnappingLocationProvider` that returns a combination of all `SnappingModel.SnappingLocation`s that are returned by the individual providers.

Parameters:
  `providers` - The `ISnappingLocationProvider`s to combine.
Returns:
  A new `ISnappingLocationProvider` that represents the combination of the given providers.

#### getHorizontalSnappingLocations

    List<SnappingModel.SnappingLocation> getHorizontalSnappingLocations(IContentPart<? extends Node> part)

Returns the horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.

Parameters:
  `part` - The `IContentPart` for which to compute the `SnappingModel.SnappingLocation`s.
Returns:
  A `List` of all horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.

#### getVerticalSnappingLocations

    List<SnappingModel.SnappingLocation> getVerticalSnappingLocations(IContentPart<? extends Node> part)

Returns the vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.

Parameters:
  `part` - The `IContentPart` for which to compute the `SnappingModel.SnappingLocation`s.
Returns:
  A `List` of all vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.